Name:		rocclr
Version:	3.9.0
Release:	2%{?dist}
Summary:	ROCm Common Language Runtime

License:	NCSA
URL:		https://github.com/RadeonOpenCompute/ROCm
Source0:	https://github.com/ROCm-Developer-Tools/ROCclr/archive/rocm-%{version}.tar.gz
# well there is a circular dependency with the OpenCL runtime, but we only need the header files
#Source1:	https://github.com/RadeonOpenCompute/ROCm-OpenCL-Runtime/archive/rocm-%{version}.tar.gz
# TODO: is there some way to tell rpm-tooling that we have two sources with the same download name?
Source1:	rocm-opencl-%{version}.tar.gz

Patch0:		0001-fix-cmake-prefixes.patch
Patch1:		0001-add-architecture-detection-for-aarch64.patch

ExclusiveArch:	x86_64 aarch64

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:	cmake
BuildRequires:	rocm-runtime-devel
BuildRequires:	hsakmt-devel
BuildRequires:	rocm-comgr-devel
BuildRequires:	libglvnd-devel

Requires:	rocm-runtime
Requires:	hsakmt-devel
Requires:	rocm-comgr

%description
ROCm Common Language Runtime

#%package devel
#Summary: ROCm Compiler Support development files
#Requires: %{name}%{?_isa} = %{version}-%{release}
#Requires: rocm-device-libs = %{version}

#%description devel
#ROCm Runtime development files

%prep
#tar xzvf rocm-opencl-%{version}.tar.gz
#tar xzvf rocm-%{version}.tar.gz
#%setup -q -T -D -n ROCclr-rocm-%{version}
%autosetup -n  ROCclr-rocm-%{version} -p1
tar xzvf %{_sourcedir}/rocm-opencl-%{version}.tar.gz
#%patch0 -p1

# TODO: fix this
%define debug_package %{nil}

%build
mkdir build
cd build

%cmake .. -DOPENCL_DIR=$(pwd)/../ROCm-OpenCL-Runtime-rocm-%{version} -DCMAKE_BUILD_TYPE=RelWithDebInfo
%cmake_build


%install
cd build
%cmake_install

%ldconfig_scriptlets

%files
%doc README.md
%license LICENSE.txt
%{_libdir}/cmake
%{_libdir}/libamd*
%{_includedir}/

#%files devel
#%{_includedir}/
#%{_libdir}/libamd_comgr.so
#%{_libdir}/cmake

%changelog
* Mon Nov 23 2020 Philipp Knechtges - 3.9.0-2
- Initial commit
